# Package org.apache.hadoop.hdfs.protocol

- Interface Summary
  Interface | Description
  --- | ---
  LayoutVersion.LayoutFeature | The interface to be implemented by NameNode and DataNode layout features

- Class Summary
  Class | Description
  --- | ---
  BlockListAsLongs.Builder |
  LayoutVersion.FeatureInfo | Feature information.
  SnapshotInfo.Bean |

- Enum Summary
  Enum | Description
  --- | ---
  LayoutVersion.Feature | Enums for features that change the layout version before rolling upgrade is supported.

- Exception Summary
  Exception | Description
  --- | ---
  FSLimitException.MaxDirectoryItemsExceededException | Directory has too many items
  FSLimitException.PathComponentTooLongException | Path component length is too long
  SnapshotException | Snapshot related exception.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.